=== debian/changelog ===
postgresql-pgmp (1.0.0-4) unstable; urgency=low

  * Fix installation of doc dir for 9.1. Closes: #646656.

 -- Christoph Berg <myon@debian.org>  Sun, 09 Oct 2011 14:10:07 +0200

postgresql-pgmp (1.0.0-3) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.
  * Manually create /usr/share/postgresql/$$version/extension.
  * Remove sql/pgmp.sql on clean.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Aug 2011 10:00:48 +0200

postgresql-pgmp (1.0.0-2) unstable; urgency=low

  * The clean target needs per-version PG_CONFIG too.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Aug 2011 11:05:56 +0200

postgresql-pgmp (1.0.0-1) unstable; urgency=low

  * Initial release.
  * Patch Makefile not to install non-doc files as documenation.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Aug 2011 00:06:25 +0200
