=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), libgmp-dev, postgresql-server-dev-all (>= 118), python-minimal
Standards-Version: 3.9.2
Homepage: http://pgmp.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-postgresql/trunk/postgresql-pgmp/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-pgmp/

Package: postgresql-9.1-pgmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Description: arbitrary precision integers and rationals for PostgreSQL 9.1
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.
