=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000561 .*/pgmp-(.*)\.tar\.gz
