=== debian/changelog ===
postgresql-pgmp (1.0.1-3git1) trusty; urgency=medium

  Upload current Debian packaging git head to fix autopkgtest.

  * Add missing python test dependency, the test calls unmix.py.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 13:53:12 +0100

postgresql-pgmp (1.0.1-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing postgresql-server-dev-all test
    dependency, so that installcheck can find pg_buildext.

  [ Christoph Berg ]
  * debian/pgversions: Use "all" and B-D on pg-server-dev-all >= 148.
  * Pull patch from upstream to fix 9.3 build.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2013 11:20:54 +0200

postgresql-pgmp (1.0.1-2) unstable; urgency=low

  * Update watch file to only look at github.
  * debian/tests/installcheck: unset TMPDIR.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Jul 2013 12:07:17 +0200

postgresql-pgmp (1.0.1-1) experimental; urgency=low

  * New upstream release.
  * Packaging repository moved to git.debian.org.
  * Point Homepage at github, pgfoundry is offline way too often.
  * debian/pgversions: add 9.2 and 9.3.
  * debian/tests: add autopkgtest support using make installcheck.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Jan 2013 09:58:46 +0100
