## postgresql-pgmp 1.0.2

=== docs/Makefile ===
--- 
+++ 
@@ -32,13 +32,8 @@
 env: easy_install
 	mkdir -p $(ENV_BIN)
 	mkdir -p $(ENV_LIB)
-	$(EASY_INSTALL) docutils
-	$(EASY_INSTALL) Jinja2
-	hg clone https://bitbucket.org/dvarrazzo/pygments-postgres env/pygments-postgres
-	ln -s `pwd`/env/pygments-postgres/pygments $(ENV_LIB)
-	hg clone https://bitbucket.org/birkenfeld/sphinx env/sphinx-tip
-	ln -s `pwd`/env/sphinx-tip/sphinx $(ENV_LIB)
-	ln -s `pwd`/env/sphinx-tip/sphinx-build.py $(ENV_BIN)/sphinx-build
+	$(EASY_INSTALL) -U "Pygments>=1.5"
+	$(EASY_INSTALL) -U "sphinx>=1.1"
 
 easy_install: ez_setup
 	PYTHONPATH=$(ENV_LIB) $(PYTHON) $(EZ_SETUP) -d $(ENV_LIB) -s $(ENV_BIN) setuptools
