=== debian/changelog ===
postgresql-pgmp (1.0.2-6) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:12:05 +0200

postgresql-pgmp (1.0.2-5) unstable; urgency=medium

  * Sort file lists in Makefile to make build reproducible.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Oct 2017 20:39:43 +0200

postgresql-pgmp (1.0.2-4) unstable; urgency=medium

  * src/pmpz_arith.c: Patch for 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 14:54:34 +0200

postgresql-pgmp (1.0.2-3) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 22:28:41 +0200

postgresql-pgmp (1.0.2-2) unstable; urgency=medium

  * Suppress hash index warning in testsuite to fix 9.5 build.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 18:36:07 +0100

postgresql-pgmp (1.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2015 22:30:36 +0100

postgresql-pgmp (1.0.1-6) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:14:36 +0200

postgresql-pgmp (1.0.1-5) experimental; urgency=medium

  * B-D on pg-common 158 to build for 9.3 and 9.4.
  * debian/tests: Use pg_buildext installcheck.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2014 14:14:34 +0200

postgresql-pgmp (1.0.1-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Add missing python test dependency, the test calls unmix.py.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 20 Mar 2014 14:55:38 +0100
