=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, python
Restrictions: allow-stderr
