## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg18.04+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

postgresql-pgmp (1.0.4-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:01:23 +0200

postgresql-pgmp (1.0.4-3) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:46:09 +0200

postgresql-pgmp (1.0.4-2) unstable; urgency=medium

  * Move to python3. (Closes: #943168)

 -- Christoph Berg <myon@debian.org>  Thu, 02 Apr 2020 22:11:22 +0200

postgresql-pgmp (1.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2020 09:21:04 +0100

postgresql-pgmp (1.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Use dh.
  * {Build,Test}-Depend on python-six.
  * Cherry-pick from upstream: Deal correctly with lazily allocated mpz zeros.
    (Closes: #950608, https://github.com/dvarrazzo/pgmp/issues/18)

 -- Christoph Berg <myon@debian.org>  Thu, 06 Feb 2020 10:13:59 +0100

postgresql-pgmp (1.0.2-8) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 14:02:36 +0100

postgresql-pgmp (1.0.2-7) unstable; urgency=medium

  * Update testsuite to accept PG12.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jun 2019 11:42:18 +0200
