=== debian/control ===
--- 
+++ 
@@ -3,16 +3,37 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), libgmp-dev, postgresql-server-dev-all (>= 158~), python-minimal
-Standards-Version: 4.1.1
+Build-Depends:
+ debhelper (>= 11),
+ libgmp-dev,
+ postgresql-all (>= 217~),
+ python3,
+ python3-six,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/dvarrazzo/pgmp
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pgmp.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pgmp
-XS-Testsuite: autopkgtest
+
+Package: postgresql-10-pgmp
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 10
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
 
 Package: postgresql-11-pgmp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
 Description: arbitrary precision integers and rationals for PostgreSQL 11
  pgmp is a PostgreSQL extension to add the GMP data types and functions
  directly into the database.
@@ -26,3 +47,50 @@
   * using specialized functions to deal with prime numbers, random numbers,
     factorization directly into the database.
 
+Package: postgresql-12-pgmp
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 12
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
+
+Package: postgresql-13-pgmp
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 13
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
+
+Package: postgresql-14-pgmp
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 14
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
