## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg100+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200
