## postgresql-pgmp 1.0.4

=== Makefile ===
--- 
+++ 
@@ -94,3 +94,7 @@
 	rm -f $(SRCPKG_ZIP)
 	zip -r $(SRCPKG_ZIP) $(addprefix $(PKGNAME)/,$^)
 	rm $(PKGNAME)
+
+# Required for testing in pgxn client on PG < 9.1
+installcheck: $(INSTALLSCRIPT)
+
