=== docs/requirements.txt ===
sphinx>=1.8,<1.9
docutils==0.16
matplotlib>=2.2,<2.3
