=== sandbox/hello/Makefile ===
CFLAGS=-g
LDFLAGS=-lgmp

all: hello

clean:
	$(RM) hello.o hello
