=== debian/changelog ===
postgresql-pgmp (1.0.4-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable (LP: #1864062):
    - Remaining changes:
    * explicitly use python2 until python3 is supported
      - d/control[.in]: bump build dependencies to explcit 2
      - d/p/use-python2.patch: update script headers to call python2
      - d/t/control: bump test dependencies to explcit 2

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Feb 2020 16:28:56 +0100

postgresql-pgmp (1.0.2-8ubuntu1) focal; urgency=medium

  * explicitly use python2 until python3 is supported (LP: #1861273)
    - d/control[.in]: bump build dependencies to explcit 2
    - d/p/use-python2.patch: update script headers to call python2
    - d/t/control: bump test dependencies to explcit 2

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 29 Jan 2020 12:27:31 +0100
