=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pgmp

override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs --all docs/*.rst
