=== debian/tests/control ===
Tests: installcheck
Depends: postgresql-server-dev-all, python2, python-six, @
Restrictions: allow-stderr
