## postgresql-pgmp 1.0.5

=== debian/changelog ===
postgresql-pgmp (1.0.5-4) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117326)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:47:05 +0200

postgresql-pgmp (1.0.5-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:38:33 +0200

postgresql-pgmp (1.0.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:33:02 +0200

postgresql-pgmp (1.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Sep 2023 10:12:58 +0200

postgresql-pgmp (1.0.4-6) unstable; urgency=medium

  * Fix varatt handling on PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 08:29:51 +0000

postgresql-pgmp (1.0.4-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:08:07 +0200
