=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libgmp-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 python3,
 python3-six,
Standards-Version: 4.7.2
Homepage: https://github.com/dvarrazzo/pgmp
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pgmp.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pgmp

Package: postgresql-18-pgmp
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: arbitrary precision integers and rationals for PostgreSQL 18
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.
