=== debian/watch ===
version=4
https://github.com/dvarrazzo/pgmp/tags .*/rel-(.*).tar.gz
